Only in ../../openbsd-libm/: arch
Only in libm/: bits
Only in ../../openbsd-libm/: CVS
Only in ../../openbsd-libm/: ieee.h
Only in libm/: machine
Only in ../../openbsd-libm/: Makefile
Only in ../../openbsd-libm/: man
Only in libm/: math.h~
Only in ../../openbsd-libm/: noieee_src
Only in ../../openbsd-libm/: shlib_version
Only in ../../openbsd-libm/src: CVS
diff -ru ../../openbsd-libm/src/e_sqrtl.c libm/src/e_sqrtl.c
--- ../../openbsd-libm/src/e_sqrtl.c	2017-01-14 10:55:56.079654768 +0100
+++ libm/src/e_sqrtl.c	2017-01-14 11:27:03.247377238 +0100
@@ -30,6 +30,7 @@
 #include <float.h>
 #include <ieeefp.h>
 #include <math.h>
+#include "math_private.h"
 
 #ifdef EXT_IMPLICIT_NBIT
 #define	LDBL_NBIT	0
Only in ../../openbsd-libm/src/ld128: CVS
Only in ../../openbsd-libm/src/ld80: CVS
diff -ru ../../openbsd-libm/src/math_private.h libm/src/math_private.h
--- ../../openbsd-libm/src/math_private.h	2017-01-14 10:55:56.099654638 +0100
+++ libm/src/math_private.h	2017-01-14 11:30:19.736078732 +0100
@@ -18,6 +18,10 @@
 #define _MATH_PRIVATE_H_
 
 #include <sys/types.h>
+#include <stdint.h>
+
+typedef __uint64_t u_int64_t;
+typedef __uint32_t u_int32_t;
 
 /* The original fdlibm code used statements like:
 	n0 = ((*(int*)&one)>>29)^1;		* index of high word *
Only in libm/src: s_fabs.c
Only in libm/src: s_lround.c~
diff -ru ../../openbsd-libm/src/s_rintl.c libm/src/s_rintl.c
--- ../../openbsd-libm/src/s_rintl.c	2017-01-14 10:55:56.429652469 +0100
+++ libm/src/s_rintl.c	2017-01-14 11:31:01.195804735 +0100
@@ -29,6 +29,7 @@
 #include <machine/ieee.h>
 #include <float.h>
 #include <math.h>
+#include "math_private.h"
 
 #if LDBL_MAX_EXP != 0x4000
 /* We also require the usual bias, min exp and expsign packing. */
